# $Revision: 1.61 $, $Date: 2006/08/27 06:12:52 $
#
# Conditional build:
%bcond_without	alsa		# don't build ALSA plugin
%bcond_without	arts		# don't build aRts plugin
%bcond_without	nas 		# don't build NAS plugin
%bcond_with	polypaudio	# build Polypaudio plugin (obsoleted by libao-pulse)
%bcond_without	static_libs	# don't build static library
#
Summary:	Cross Platform Audio Output Library
Summary(es):	Biblioteca libao
Summary(pl):	Midzyplatformowa biblioteka do odtwarzania dwiku
Summary(pt_BR):	Biblioteca libao
Name:		libao
Version:	0.8.6
Release:	4
Epoch:		1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz
# Source0-md5:	12e136a4c0995068ff134997c84421ed
Patch0:		%{name}-polypaudio-0_8.patch
URL:		http://www.xiph.org/ao/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0.0}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.8
BuildRequires:	libtool
%{?with_nas:BuildRequires:	nas-devel}
%{?with_polypaudio:BuildRequires:	polypaudio-devel >= 0.8}
Obsoletes:	libao2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libao is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms. It currently
supports: Null output, WAV files, OSS (Open Sound System), ESD (ESounD
or Enlighten Sound Daemon), ALSA (Advanced Linux Sound Architecture),
Solaris (untested), IRIX (untested)

%description -l es
Libaso es un biblioteca de audio que soporta programas com salida de
audio usando una API simplificada en una gran variedad de
arquiteturas. Hoy soporta Null output, WAV files, OSS (Open Sound
System), ESD (ESounD or Enlighten Sound Daemon), ALSA (Advanced Linux
Sound Architecture), Solaris (untested), IRIX (untested).

%description -l pl
Libao jest bibliotek do odtwarzania dwiku, ktra ma proste API i jest
dostpna na wielu rnych platformach.  Aktualnie wspiera odtwarzanie na
urzdzenie puste (null output), do plikw w formacie WAV, do demona ESD
(ESounD tudzie Enlighten Sound Daemon) oraz urzdzenia ALSA (Advanced
Linux Sound Architecture), OSS (Open Sound System), Solaris i IRIX.

%description -l pt_BR
Libao  uma biblioteca de audio multi-plataforma que permite programas
para saida de audio usando uma API simples em uma variedade grande de
plataformas. Atualmente suporta Null output, WAV files, OSS (Open
Sound System), ESD (ESounD or Enlighten Sound Daemon), ALSA (Advanced
Linux Sound Architecture), Solaris (untested), IRIX (untested).

%package devel
Summary:	Cross Platform Audio Output Library Development
Summary(pl):	Cz dla programistw biblioteki libao
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libao2-devel

%description devel
The libao-devel package contains the header files and documentation
needed to develop applications with libao.

%description devel -l es
Biblioteca y archivos de inclusin.

%description devel -l pl
Pakiet libao-devel zawiera pliki nagwkowe i dokumentacj, potrzebne
do kompilowania aplikacji korzystajcych z libao.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso.

%package static
Summary:	Cross Platform Autio Output Static Library
Summary(es):	Bibliotecas estticas
Summary(pl):	Statyczna biblioteka libao
Summary(pt_BR):	Bibliotecas estticas
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The libao-static package contains the static libraries of libao.

%description static -l es
Biblioteca de audio Libao.

%description static -l pl
Statyczna wersja biblioteki libao.

%description static -l pt_BR
Biblioteca de audio Libao.

%package alsa
Summary:	Advanced Linux Sound Architecture (ALSA) plugin for libao
Summary(pl):	Wtyczka libao dla Advanced Linux Sound Architecture (ALSA)
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description alsa
Advanced Linux Sound Architecture (ALSA) plugin for libao.

%description alsa -l pl
Wtyczka libao dla Advanced Linux Sound Architecture (ALSA).

%package arts
Summary:	Arts plugin for libao
Summary(pl):	Wtyczka arts dla libao
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description arts
Arts plugin for libao.

%description arts -l pl
Wtyczka arts dla libao.

%package esd
Summary:	ESD plugin for libao
Summary(pl):	Wtyczka ESD dla libao
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description esd
ESD plugin for libao.

%description esd -l pl
Wtyczka esd dla libao.

%package nas
Summary:	Network Audio System (NAS) plugin for libao
Summary(pl):	Wtyczka libao dla Network Audio System (NAS)
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description nas
Network Audio System (NAS) plugin for libao.

%description nas -l pl
Wtyczka libao dla Network Audio System (NAS).

%package polyp
Summary:	Polypaudio plugin for libao
Summary(pl):	Wtyczka Polypaudio dla libao
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description polyp
Polypaudio plugin for libao.

%description polyp -l pl
Wtyczka Polypaudio dla libao.

%prep
%setup -q
%patch0 -p1

%build
# just AM_PATH_ESD copy
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if %{without alsa}
	--disable-alsa \
%else
	--enable-alsa \
%endif
%if %{without arts}
	--disable-arts \
%endif
%if %{without nas}
	--disable-nas \
%endif
%if %{without polypaudio}
	--disable-polyp \
%endif
	--%{!?with_static_libs:dis}%{?with_static_libs:en}able-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dlopened by *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/ao/plugins-2/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README TODO
%attr(755,root,root) %{_libdir}/libao.so.*.*.*
%dir %{_libdir}/ao
%dir %{_libdir}/ao/plugins-2
%attr(755,root,root) %{_libdir}/ao/plugins-2/liboss.so
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%doc doc/*{html,css,c}
%attr(755,root,root) %{_libdir}/libao.so
%{_libdir}/libao.la
%{_includedir}/ao
%{_aclocaldir}/ao.m4
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libalsa*.so
%endif

%if %{with arts}
%files arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libarts.so
%endif

%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libesd.so

%if %{with nas}
%files nas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libnas.so
%endif

%if %{with polypaudio}
%files polyp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libpolyp.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libao.spec,v $
Revision 1.61  2006/08/27 06:12:52  pluto
- release 4.

Revision 1.60  2006/08/26 21:03:51  qboosh
- disabled polypaudio; use external libao-pulse instead

Revision 1.59  2006/06/23 13:20:56  pluto
- release 3 for rebuild with polypaudio-0.8.1 (soname changed).

Revision 1.58  2006/04/27 20:10:22  pluto
- release 2 for rebuild with polypaudio-0.8.

Revision 1.57  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.56  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.55  2005/06/15 06:01:14  charles
- with OR without static

Revision 1.54  2005/06/14 19:39:53  witekfl
- added bcond_without static

Revision 1.53  2005/01/22 10:15:25  qboosh
- updated to 0.8.6, updated URLs, removed obsolete am18 patch
- added polyp subpackage (with Polypaudio plugin)

Revision 1.52  2004/10/24 12:08:12  witekfl
- added example C code to devel subpackage

Revision 1.51  2004/04/10 21:02:30  qboosh
- updated to 0.8.5 (ready for ALSA 1.0)

Revision 1.50  2004/03/12 11:50:43  pluto
- strict deps.

Revision 1.49  2003/12/17 19:09:25  qboosh
- fixed build with alsa 1.0 (-DALSA_PCM_OLD_HW_PARAMS_API)

Revision 1.48  2003/12/17 16:50:30  wiget
- fix underquote in ao.m4
- release 3

Revision 1.47  2003/12/09 14:46:20  qboosh
- s/arts-devel/artsc-devel/

Revision 1.46  2003/12/07 15:32:15  qboosh
- hey there is alsa on sparc - how this spec was omitted?
- nas ON by default (it's plugin, doesn't cause dependency in base)
- simplified bconds a little

Revision 1.45  2003/12/07 15:27:51  speedy
- fixed description

Revision 1.44  2003/12/07 15:13:08  speedy
- release 2
- new bcond: with nas

Revision 1.43  2003/11/23 14:14:06  qboosh
- fixed BR. make a bcond (default ON) if you don't like it

Revision 1.42  2003/11/22 20:41:50  djurban
- pld doesnt suport nas by default

Revision 1.41  2003/10/17 11:07:14  wrobell
- improved descriptions and summaries of nas and alsa plugins

Revision 1.40  2003/10/17 10:21:54  wrobell
- ver. 0.8.4
- added nas support

Revision 1.39  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.38  2003/08/08 13:48:02  qboosh
- reverted plugins move (original paths were hardcoded and I don't see
  sufficient reason to change original directory layout; fixes BTS#682)
- removed unneeded *.la for plugins
- release 5 (better test before moving to updates)

Revision 1.37  2003/06/21 11:49:15  jareq
- fixed epoch:version issue

Revision 1.36  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/11 21:08:13  kloczek
- reelase 4: move DSO to %%{_libdir}/ao,
- added libao2{,-devel} to Obsoletes for allow upgrade from MDK version.

Revision 1.33  2003/04/07 14:24:32  mkochano
- Release 3.2.
- Removed redundant BR: alsa-lib-devel. Thx qboosh.

Revision 1.32  2003/04/05 21:24:51  mkochano
- Release 3.1.
- BR: lib-alsa-devel.

Revision 1.31  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.30  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.29  2002/07/21 12:42:39  wrobell
- fixed pl descriptions
- rel. 3, stb

Revision 1.28  2002/07/20 23:26:33  kloczek
- release 2.

Revision 1.27  2002/07/20 20:32:59  qboosh
- new %%doc, more ac-fixes added to patch - needed for autoconf 2.53

Revision 1.26  2002/07/20 16:13:47  kloczek
- reverte bumping Epoch.

Revision 1.25  2002/07/20 16:12:38  kloczek
- Epoch: 2.

Revision 1.24  2002/07/20 15:05:23  wrobell
- ver. 0.8.3

Revision 1.23  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/06/10 21:51:00  wrobell
- fixed alsa subpackage section so the package will build with alsa 0.5 and
  alsa 0.9

Revision 1.21  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/06 21:29:33  qboosh
- fixed _without_alsa bcond
- removed dummy -devel summaries
- release 3

Revision 1.15  2002/01/06 03:56:07  kloczek
- merge libdep patch from rawhide.

Revision 1.14  2002/01/06 03:52:09  kloczek
- updated to 0.8.2 (mainly bug fix release),
- added alsa subpackage.

Revision 1.13  2001/12/01 17:22:03  kloczek
- merge translations from Conectiva and adapterize spec.

Revision 1.12  2001/11/29 21:33:32  filon
- fixed broken %%doc
- release 2

Revision 1.11  2001/08/18 23:07:35  kloczek
- updated to 0.8.0,
- added ac_am_fixes patch (removed any stupid manipulation in CFLAGS and mandir),
- added libao.conf(5) man page to main package.

Revision 1.10  2001/06/23 08:49:19  kloczek
- release 2.

Revision 1.9  2001/06/22 23:59:14  qboosh
- _without_arts

Revision 1.8  2001/06/21 13:21:10  misiek
Epoch: 1

Revision 1.7  2001/06/21 10:26:14  misiek
- don't require alsa on sparc

Revision 1.6  2001/06/21 09:48:38  misiek
- 0.7.0 version
- added arts and esd subpackages

Revision 1.5  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.4  2001/04/02 07:24:24  kloczek
- spec adapterized and fixed %files list.

Revision 1.3  2001/03/30 16:30:55  qboosh
- _without_alsa
- opt patch

Revision 1.2  2001/02/11 01:29:39  misiek
little cleanups only. more work required

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
